## rust-tonic 0.10.2%2Bdfsg

=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.10.2
 --all-targets --all-features
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:@
Depends:
 dh-rust,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:
Depends:
 dh-rust,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.10.2
 --all-targets
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:default
Depends:
 dh-rust,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10+default-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features --features channel
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:channel
Depends:
 dh-rust,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10+channel-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features --features codegen
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:codegen
Depends:
 dh-rust,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10+codegen-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features --features gzip
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:gzip
Depends:
 dh-rust,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10+gzip-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features --features prost
 --
 --skip codec::prost::tests::encode_too_big

## rust-tonic 0.14.2+dfsg

=== protoc-gen-rust-grpc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(protoc-gen-rust-grpc LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Options
set(PROTOBUF_VERSION "32.0" CACHE STRING "Version of protobuf to download")
option(BUILD_SHARED_LIBS "Build shared libraries" OFF)

# Add cmake directory to module path
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# Include modules
include(FetchContent)
include(FetchProtobuf)

# Download and configure protobuf
fetch_protobuf(${PROTOBUF_VERSION})

# Download and configure abseil
# Abseil version that's compatible with protobuf
set(ABSEIL_VERSION "20240722.0")
set(ABSEIL_URL "https://github.com/abseil/abseil-cpp/archive/refs/tags/${ABSEIL_VERSION}.tar.gz")

message(STATUS "Downloading abseil-cpp ${ABSEIL_VERSION}")

FetchContent_Declare(
    absl
    URL ${ABSEIL_URL}
    URL_HASH SHA256=f50e5ac311a81382da7fa75b97310e4b9006474f9560ac46f54a9967f07d4ae3
    DOWNLOAD_EXTRACT_TIMESTAMP TRUE
)

# Set abseil build options
set(ABSL_PROPAGATE_CXX_STD ON CACHE BOOL "" FORCE)
set(ABSL_BUILD_TESTING OFF CACHE BOOL "" FORCE)
set(BUILD_TESTING OFF CACHE BOOL "" FORCE)

# Force using the fetched abseil instead of system abseil
set(CMAKE_FIND_PACKAGE_PREFER_CONFIG TRUE)
set(absl_DIR "${CMAKE_CURRENT_BINARY_DIR}/_deps/absl-build" CACHE PATH "" FORCE)
# Prevent finding system libraries
set(CMAKE_PREFIX_PATH "" CACHE STRING "" FORCE)

FetchContent_MakeAvailable(absl)

# Add the protoc-gen-rust-grpc executable
add_executable(protoc-gen-rust-grpc
    src/grpc_rust_plugin.cc
    src/grpc_rust_generator.cc
    src/grpc_rust_generator.h
)

# Link against protobuf and abseil
target_link_libraries(protoc-gen-rust-grpc
    PRIVATE
        protobuf::libprotoc
        protobuf::libprotobuf
        absl::flat_hash_map
        absl::strings
        absl::string_view
)

# Include directories
target_include_directories(protoc-gen-rust-grpc
    PRIVATE
        ${protobuf_SOURCE_DIR}/src
        ${CMAKE_CURRENT_SOURCE_DIR}
)

# Set output directory
set_target_properties(protoc-gen-rust-grpc
    PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin
)

# Add protoc executable as a custom target that copies the built protoc
# We explicitly name it "protoc" without version suffix
if(WIN32)
    set(PROTOC_OUTPUT_NAME "protoc.exe")
else()
    set(PROTOC_OUTPUT_NAME "protoc")
endif()

add_custom_target(copy-protoc ALL
    COMMAND ${CMAKE_COMMAND} -E copy_if_different
        $<TARGET_FILE:protoc>
        ${CMAKE_BINARY_DIR}/bin/${PROTOC_OUTPUT_NAME}
    DEPENDS protoc
    COMMENT "Copying protoc to output directory"
)

# Installation rules
install(TARGETS protoc-gen-rust-grpc
    RUNTIME DESTINATION bin
)
install(PROGRAMS ${CMAKE_BINARY_DIR}/bin/${PROTOC_OUTPUT_NAME}
    DESTINATION bin
)

# Print summary
message(STATUS "")
message(STATUS "protoc-gen-rust-grpc configuration summary:")
message(STATUS "  Protobuf version: ${PROTOBUF_VERSION}")
message(STATUS "  Abseil version: ${ABSEIL_VERSION}")
message(STATUS "  Build type: ${CMAKE_BUILD_TYPE}")
message(STATUS "  C++ standard: ${CMAKE_CXX_STANDARD}")
message(STATUS "  Output directory: ${CMAKE_BINARY_DIR}/bin")
message(STATUS "  Binaries to build: protoc, protoc-gen-rust-grpc")

## rust-tonic 0.10.2+dfsg

=== debian/changelog ===
rust-tonic (0.10.2+dfsg-9) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 13 Jul 2024 00:03:35 +0200

rust-tonic (0.10.2+dfsg-8) unstable; urgency=medium

  * reduce patch 2001_prost;
    tighten (build-)dependencies for crates prost prost-build

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2024 13:46:22 +0200

rust-tonic (0.10.2+dfsg-7) unstable; urgency=medium

  * skip test panicking on 32-bit archs
  * update dh-cargo fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Jul 2024 11:27:01 +0200

rust-tonic (0.10.2+dfsg-6) unstable; urgency=medium

  * stop autopkgtest for patched-out feature cleanup-markdown
  * fix install examples
  * add patch 2005
    to avoid resolving crate-dependencies for interop tests;
    stop bogusly build-depending on packages for crate strum

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Jun 2024 18:12:28 +0200

rust-tonic (0.10.2+dfsg-5) unstable; urgency=medium

  * add patch 1002 to add feature fences for tests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Jun 2024 14:46:46 +0200

rust-tonic (0.10.2+dfsg-4) unstable; urgency=medium

  * drop bogus autopkgtest
  * update copyright info: fix file path
  * stop provide bogus tonic feature rustls;
    fix and extend autopkgtests
  * add patch 2003 to avoid benches;
    stop build- or autopkgtest-depend on package for crate bencher

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Jun 2024 23:41:12 +0200

rust-tonic (0.10.2+dfsg-3) unstable; urgency=medium

  * add patch 1001 to accept newer branch of crate h2;
    relax (build-)dependency for crate h2;
    thanks to Alexander Kjäll and James McCoy
  * declare compliance with Debian Policy 4.7.0
  * update copyright info: update coverage
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Apr 2024 12:59:27 +0200

rust-tonic (0.10.2+dfsg-2) unstable; urgency=medium

  * drop patches 2001_hyper 2001_pico-args 2001_tokio-util 2003,
    obsoleted by Debian package changes
  * drop unneeded patch 2001_strum;
    tighten build-dependencies for crate strum
  * tighten build-dependencies for crate pico-args
  * update patches
  * build-depend on packages for crates hyper-rustls tower-http
  * provide and autpkgtest feature rustls

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Feb 2024 19:27:13 +0100

rust-tonic (0.10.2+dfsg-1) experimental; urgency=medium

  * initial packaging release;
    closes: bug#1052431

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 25 Nov 2023 02:25:33 +0100

=== debian/control ===
Source: rust-tonic
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-async-stream-0.3+default-dev <!nocheck>,
 librust-async-trait-0.1+default-dev <!nocheck>,
 librust-axum-0.6-dev <!nocheck>,
 librust-base64-0.21+default-dev <!nocheck>,
 librust-bytes-1+default-dev <!nocheck>,
 librust-console-0.15+default-dev <!nocheck>,
 librust-flate2-1+default-dev <!nocheck>,
 librust-h2-dev (<< 0.5) <!nocheck>,
 librust-http-0.2+default-dev <!nocheck>,
 librust-http-body-0.4+default-dev <!nocheck>,
 librust-hyper-0.14+default-dev <!nocheck>,
 librust-hyper-0.14+full-dev <!nocheck>,
 librust-hyper-rustls-0.24+default-dev <!nocheck>,
 librust-hyper-rustls-0.24+http2-dev <!nocheck>,
 librust-hyper-timeout-0.4+default-dev <!nocheck>,
 librust-listenfd-1+default-dev <!nocheck>,
 librust-percent-encoding-2+default-dev <!nocheck>,
 librust-pico-args-0.5+default-dev <!nocheck>,
 librust-pico-args-0.5+eq-separator-dev <!nocheck>,
 librust-pin-project-1+default-dev <!nocheck>,
 librust-prettyplease-0.2+default-dev <!nocheck>,
 librust-proc-macro2-1+default-dev <!nocheck>,
 librust-prost-0.12+default-dev <!nocheck>,
 librust-prost-build-0.12+default-dev <!nocheck>,
 librust-quickcheck-1+default-dev <!nocheck>,
 librust-quickcheck-macros-1+default-dev <!nocheck>,
 librust-quote-1+default-dev <!nocheck>,
 librust-rand-0.8+default-dev <!nocheck>,
 librust-rustls-0.21+default-dev <!nocheck>,
 librust-rustls-native-certs-0.6+default-dev <!nocheck>,
 librust-rustls-pemfile-1+default-dev <!nocheck>,
 librust-static-assertions-1+default-dev <!nocheck>,
 librust-syn-2+default-dev <!nocheck>,
 librust-tokio-1+default-dev <!nocheck>,
 librust-tokio-rustls-0.24+default-dev <!nocheck>,
 librust-tokio-stream-0.1+default-dev <!nocheck>,
 librust-tower-0.4+balance-dev <!nocheck>,
 librust-tower-0.4+buffer-dev <!nocheck>,
 librust-tower-0.4+discover-dev <!nocheck>,
 librust-tower-0.4+full-dev <!nocheck>,
 librust-tower-0.4+limit-dev <!nocheck>,
 librust-tower-0.4+load-dev <!nocheck>,
 librust-tower-0.4+make-dev <!nocheck>,
 librust-tower-0.4+timeout-dev <!nocheck>,
 librust-tower-0.4+util-dev <!nocheck>,
 librust-tower-http-0.4+default-dev <!nocheck>,
 librust-tower-layer-0.3+default-dev <!nocheck>,
 librust-tower-service-0.3+default-dev <!nocheck>,
 librust-tracing-0.1+default-dev <!nocheck>,
 librust-tracing-subscriber-0.3+default-dev <!nocheck>,
 librust-tracing-subscriber-0.3+fmt-dev <!nocheck>,
 librust-tracing-subscriber-0.3+tracing-log-dev <!nocheck>,
 protobuf-compiler,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/rust-tonic.git
Vcs-Browser: https://salsa.debian.org/debian/rust-tonic
Homepage: https://github.com/hyperium/tonic
Rules-Requires-Root: no

Package: librust-tonic-build-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-prettyplease-0.2+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-prost-build-0.12+default-dev,
 librust-quote-1+default-dev,
 librust-syn-2+default-dev,
 ${misc:Depends},
Provides:
 librust-tonic-build-0.10+default-dev (= ${binary:Version}),
 librust-tonic-build-0.10+prost-dev (= ${binary:Version}),
 librust-tonic-build-0.10+transport-dev (= ${binary:Version}),
 librust-tonic-build-0.10-dev (= ${binary:Version}),
 librust-tonic-build-0.10.2-dev (= ${binary:Version}),
Description: codegen module of tonic gRPC implementation - Rust source code
 tonic-build compiles proto files via prost
 and generates service stubs and proto definitiones for use with tonic.
 .
 tonic is a gRPC over HTTP/2 implementation
 focused on high performance, interoperability, and flexibility.
 .
 This package contains the source for the Rust tonic-build crate,
 for use with cargo and dh-cargo.

Package: librust-tonic-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-async-stream-0.3+default-dev,
 librust-async-trait-0.1+default-dev,
 librust-axum-0.6-dev,
 librust-base64-0.21+default-dev,
 librust-bytes-1+default-dev,
 librust-flate2-1+default-dev,
 librust-h2-dev (<< 0.5),
 librust-http-0.2+default-dev,
 librust-http-body-0.4+default-dev,
 librust-hyper-0.14+default-dev,
 librust-hyper-0.14+full-dev,
 librust-hyper-timeout-0.4+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-pin-project-1+default-dev,
 librust-prost-0.12+default-dev,
 librust-rustls-0.21+default-dev,
 librust-rustls-native-certs-0.6+default-dev,
 librust-rustls-pemfile-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+rt-dev,
 librust-tokio-1+time-dev,
 librust-tokio-rustls-0.24+default-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tower-0.4+balance-dev,
 librust-tower-0.4+buffer-dev,
 librust-tower-0.4+discover-dev,
 librust-tower-0.4+limit-dev,
 librust-tower-0.4+load-dev,
 librust-tower-0.4+make-dev,
 librust-tower-0.4+timeout-dev,
 librust-tower-0.4+util-dev,
 librust-tower-layer-0.3+default-dev,
 librust-tower-service-0.3+default-dev,
 librust-tracing-0.1+default-dev,
 ${misc:Depends},
Provides:
 librust-tonic-0.10+channel-dev (= ${binary:Version}),
 librust-tonic-0.10+codegen-dev (= ${binary:Version}),
 librust-tonic-0.10+default-dev (= ${binary:Version}),
 librust-tonic-0.10+gzip-dev (= ${binary:Version}),
 librust-tonic-0.10+prost-dev (= ${binary:Version}),
 librust-tonic-0.10+tls-dev (= ${binary:Version}),
 librust-tonic-0.10+tls-roots-common-dev (= ${binary:Version}),
 librust-tonic-0.10+tls-roots-dev (= ${binary:Version}),
 librust-tonic-0.10+transport-dev (= ${binary:Version}),
 librust-tonic-0.10-dev (= ${binary:Version}),
 librust-tonic-0.10.2-dev (= ${binary:Version}),
Description: gRPC over HTTP/2 - Rust source code
 tonic is a gRPC over HTTP/2 implementation
 focused on high performance, interoperability, and flexibility.
 .
 This package contains the source for the Rust tonic crate,
 for use with cargo and dh-cargo.

=== debian/rules ===
#!/usr/bin/make -f

# resolve DEB_DISTRIBUTION
include /usr/share/dpkg/pkg-info.mk

# resolve DEB_HOST_RUST_TYPE
include /usr/share/rustc/architecture.mk

# resolve if release is experimental
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

# enable custom execution of cargo wrapper
export DEB_HOST_GNU_TYPE DEB_HOST_RUST_TYPE CARGO_HOME

# reduce risk of out-of-memory issues during build for weak arches
ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf i386 mipsel riscv64))
export RUSTFLAGS += -C embed-bitcode=no -C lto=no -C linker-plugin-lto=no
endif

TEST_BROKEN += \
 codec::prost::tests::encode_too_big

%:
	dh $@

execute_before_dh_auto_build:
	mkdir --parents tonic-health/src/generated/ tonic-reflection/src/generated/ tonic-types/src/generated/
	CARGO_HOME=debian/cargo_home cargo run --package codegen

override_dh_auto_test:
	$(if $(DEB_SUITE_EXP),\
	 dh_auto_test --buildsystem rust -- --no-fail-fast -- --include-ignored || true,\
	 dh_auto_test --buildsystem rust -- --no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN)))

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets --all-features
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:@
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:default
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10+default-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features --features channel
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:channel
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10+channel-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features --features codegen
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:codegen
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10+codegen-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features --features gzip
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:gzip
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.10+gzip-dev,
 librust-tower-0.4+full-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/cargo/bin/cargo-auto-test tonic 0.10.2
 --all-targets --no-default-features --features prost
 --
 --skip codec::prost::tests::encode_too_big
Features: test-name=rust-tonic-0.10:prost
Depends:
 dh-cargo,
 librust-quickcheck-1+default-dev,

## rust-tonic 0.12.3%2Bdfsg

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: hyperium
Project: tonic
Dversion-Mangle: auto
Repacksuffix: +dfsg
# mangle dot- or dash-versioned prereleases (see bug#1112452)
Uversion-Mangle: s/\d\K[_.+-]?((?i)dev|pre|alpha|beta|rc)[.-]?/~$1/

## rust-tonic 0.12.3+dfsg

=== debian/changelog ===
rust-tonic (0.12.3+dfsg-5) unstable; urgency=medium

  * drop obsolete patches 2001_rustls-native-certs_*;
    bump (build-)dependencies for crate rustls-native-certs;
    closes: bug#1112560, thanks to Reinhard Tartler
  * update watch file:
    + use file format version 5
    + improve mangling of upstream version
  * update DEP-3 patch headers
  * rename patch 2001_tower-http -> 1001_tower-http

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 Aug 2025 09:52:35 +0200

rust-tonic (0.12.3+dfsg-4) unstable; urgency=medium

  * wrap and sort control files
  * provide minor-versioned package for embedded crate tonic-types

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Apr 2025 13:19:59 +0200

rust-tonic (0.12.3+dfsg-3) unstable; urgency=medium

  * provide and autopkgtest embedded crate tonic-types;
    (build-)depend on package for crate prost-types;
    closes: bug#1102316, thanks to Blair Noctis
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Apr 2025 17:52:48 +0200

rust-tonic (0.12.3+dfsg-2) unstable; urgency=medium

  * update and tighten patches
    to use older branch of crate rustls-native-certs;
    fix and tighten (build-,autopkgtest-)dependencies
    for crate rustls-native-certs;
    closes: bug#1100658, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Mar 2025 20:57:38 +0100

rust-tonic (0.12.3+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s);
    closes: bug#1069180, #1092989,
    thanks to Reinhard Tartler and Maytham Alsudany

  [ Jonas Smedegaard ]
  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * bump (build-)dependencies
    for crates axum http http-body hyper hyper-timeout
    rustls-pemfile tokio-rustls;
    bump build- and autopkgtest-dependencies for crate tower-http;
    tighten (build-)dependencies for crates h2 tokio tokio-stream;
    (build-)depend on packages
    for crates http-body-util hyper-util socket2 zstd;
    build- and autopkgtest-depend on package for crate paste;
    relax (build-)dependencies for crate rustls-native-certs;
    relax (build-dependencies for crate tracing-subscriber;
    stop build-depend on packages
    for crates console hyper-rustls listenfd pico-args rustls;
    provide and autopkgtest
    features router server tls-native-roots zstd (not roots-common);
    closes: bug#1098848, #1098897,
    thanks to Peter Michael Green and Reinhard Tartler
  * skip broken test skip_debug

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 15 Mar 2025 19:19:00 +0100

rust-tonic (0.10.2+dfsg-12) unstable; urgency=medium

  * skip checking test max_message_send_size,
    returning unreliable error object;
    closes: bug#1098348, thanks to Santiago Vila

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Feb 2025 19:57:45 +0100

rust-tonic (0.10.2+dfsg-11) unstable; urgency=medium

  * update DEP-3 patch headers
  * declare rust-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations
  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + improve usage comment
  * update watch file:
    + improve filename and upstream version mangling
    + use Github API
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Feb 2025 01:15:46 +0100

rust-tonic (0.10.2+dfsg-10) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * stop mention dh-cargo in long description
  * add patch cherry-picked upstream
    to use newer branch of crate base64;
    tighten build-dependency for crate base64;
    closes: bug#1084141, thanks to Matthias Geiger
  * improve comment in rules file
  * check single-feature autopkgtests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Oct 2024 23:23:45 +0200

=== debian/control ===
Source: rust-tonic
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-async-stream-0.3+default-dev,
 librust-async-trait-0.1+default-dev,
 librust-axum-0.7-dev,
 librust-base64-0.22+default-dev,
 librust-bytes-1+default-dev,
 librust-flate2-1+default-dev,
 librust-h2-0.4+default-dev,
 librust-http-1+default-dev,
 librust-http-body-1+default-dev,
 librust-http-body-util-0.1+default-dev,
 librust-hyper-1+client-dev,
 librust-hyper-1+default-dev,
 librust-hyper-1+full-dev,
 librust-hyper-1+http1-dev,
 librust-hyper-1+http2-dev,
 librust-hyper-1+server-dev,
 librust-hyper-timeout-0.5+default-dev,
 librust-hyper-util-0.1+client-legacy-dev,
 librust-hyper-util-0.1+default-dev,
 librust-hyper-util-0.1+server-auto-dev,
 librust-hyper-util-0.1+service-dev,
 librust-hyper-util-0.1+tokio-dev,
 librust-paste-1+default-dev,
 librust-percent-encoding-2+default-dev,
 librust-pin-project-1+default-dev,
 librust-prettyplease-0.2+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-prost-0.12+default-dev,
 librust-prost-build-0.12+default-dev,
 librust-prost-types-0.12+default-dev,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-quote-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-rustls-native-certs-0.8+default-dev,
 librust-rustls-pemfile-2+default-dev,
 librust-socket2-0.5+all-dev,
 librust-socket2-0.5+default-dev,
 librust-static-assertions-1+default-dev,
 librust-syn-2+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+rt-dev,
 librust-tokio-1+time-dev,
 librust-tokio-rustls-0.26+logging-dev,
 librust-tokio-rustls-0.26+ring-dev,
 librust-tokio-rustls-0.26+tls12-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tokio-stream-0.1+net-dev,
 librust-tower-0.4+balance-dev,
 librust-tower-0.4+buffer-dev,
 librust-tower-0.4+discover-dev,
 librust-tower-0.4+full-dev,
 librust-tower-0.4+limit-dev,
 librust-tower-0.4+load-dev,
 librust-tower-0.4+make-dev,
 librust-tower-0.4+timeout-dev,
 librust-tower-0.4+util-dev,
 librust-tower-http-0.6+add-extension-dev,
 librust-tower-http-0.6+cors-dev,
 librust-tower-http-0.6+default-dev,
 librust-tower-http-0.6+map-request-body-dev,
 librust-tower-http-0.6+map-response-body-dev,
 librust-tower-http-0.6+set-header-dev,
 librust-tower-http-0.6+trace-dev,
 librust-tower-http-0.6+util-dev,
 librust-tower-layer-0.3+default-dev,
 librust-tower-service-0.3+default-dev,
 librust-tracing-0.1+default-dev,
 librust-tracing-subscriber-0.3+default-dev,
 librust-zstd-0.13+default-dev,
 protobuf-compiler,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/rust-tonic.git
Vcs-Browser: https://salsa.debian.org/debian/rust-tonic
Homepage: https://github.com/hyperium/tonic
Rules-Requires-Root: no

Package: librust-tonic-build-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-prettyplease-0.2+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-prost-build-0.12+default-dev,
 librust-quote-1+default-dev,
 librust-syn-2+default-dev,
 ${misc:Depends},
Provides:
 librust-tonic-build-0.12+default-dev (= ${binary:Version}),
 librust-tonic-build-0.12+prost-dev (= ${binary:Version}),
 librust-tonic-build-0.12+transport-dev (= ${binary:Version}),
 librust-tonic-build-0.12-dev (= ${binary:Version}),
 librust-tonic-build-0.12.3-dev (= ${binary:Version}),
Description: codegen module of tonic gRPC implementation - Rust source code
 tonic-build compiles proto files via prost
 and generates service stubs and proto definitiones for use with tonic.
 .
 tonic is a gRPC over HTTP/2 implementation
 focused on high performance, interoperability, and flexibility.
 .
 This package contains the source for the Rust tonic-build crate,
 for use with cargo.

Package: librust-tonic-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-async-stream-0.3+default-dev,
 librust-async-trait-0.1+default-dev,
 librust-axum-0.7-dev,
 librust-base64-0.22+default-dev,
 librust-bytes-1+default-dev,
 librust-flate2-1+default-dev,
 librust-h2-0.4+default-dev,
 librust-http-1+default-dev,
 librust-http-body-1+default-dev,
 librust-http-body-util-0.1+default-dev,
 librust-hyper-1+client-dev,
 librust-hyper-1+default-dev,
 librust-hyper-1+full-dev,
 librust-hyper-1+http1-dev,
 librust-hyper-1+http2-dev,
 librust-hyper-1+server-dev,
 librust-hyper-timeout-0.5+default-dev,
 librust-hyper-util-0.1+client-legacy-dev,
 librust-hyper-util-0.1+default-dev,
 librust-hyper-util-0.1+server-auto-dev,
 librust-hyper-util-0.1+service-dev,
 librust-hyper-util-0.1+tokio-dev,
 librust-percent-encoding-2+default-dev,
 librust-pin-project-1+default-dev,
 librust-prost-0.12+default-dev,
 librust-prost-types-0.12+default-dev,
 librust-rustls-native-certs-0.8+default-dev,
 librust-rustls-pemfile-2+default-dev,
 librust-socket2-0.5+all-dev,
 librust-socket2-0.5+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+net-dev,
 librust-tokio-1+rt-dev,
 librust-tokio-1+time-dev,
 librust-tokio-rustls-0.26+logging-dev,
 librust-tokio-rustls-0.26+ring-dev,
 librust-tokio-rustls-0.26+tls12-dev,
 librust-tokio-stream-0.1+default-dev,
 librust-tokio-stream-0.1+net-dev,
 librust-tower-0.4+balance-dev,
 librust-tower-0.4+buffer-dev,
 librust-tower-0.4+discover-dev,
 librust-tower-0.4+limit-dev,
 librust-tower-0.4+load-dev,
 librust-tower-0.4+make-dev,
 librust-tower-0.4+timeout-dev,
 librust-tower-0.4+util-dev,
 librust-tower-layer-0.3+default-dev,
 librust-tower-service-0.3+default-dev,
 librust-tracing-0.1+default-dev,
 librust-zstd-0.13+default-dev,
 ${misc:Depends},
Provides:
 librust-tonic-0.12+channel-dev (= ${binary:Version}),
 librust-tonic-0.12+codegen-dev (= ${binary:Version}),
 librust-tonic-0.12+default-dev (= ${binary:Version}),
 librust-tonic-0.12+gzip-dev (= ${binary:Version}),
 librust-tonic-0.12+prost-dev (= ${binary:Version}),
 librust-tonic-0.12+router-dev (= ${binary:Version}),
 librust-tonic-0.12+server-dev (= ${binary:Version}),
 librust-tonic-0.12+tls-dev (= ${binary:Version}),
 librust-tonic-0.12+tls-native-roots-dev (= ${binary:Version}),
 librust-tonic-0.12+tls-roots-dev (= ${binary:Version}),
 librust-tonic-0.12+transport-dev (= ${binary:Version}),
 librust-tonic-0.12+zstd-dev (= ${binary:Version}),
 librust-tonic-0.12-dev (= ${binary:Version}),
 librust-tonic-0.12.3-dev (= ${binary:Version}),
 librust-tonic-types-0.12+default-dev (= ${rust:Version:librust-tonic-types-dev}),
 librust-tonic-types-0.12-dev (= ${rust:Version:librust-tonic-types-dev}),
 librust-tonic-types-0.12.3-dev (= ${rust:Version:librust-tonic-types-dev}),
 librust-tonic-types-dev (= ${rust:Version:librust-tonic-types-dev}),
Description: gRPC over HTTP/2 - Rust source code
 tonic is a gRPC over HTTP/2 implementation
 focused on high performance, interoperability, and flexibility.
 .
 This package contains the source for the Rust crates
 tonic and tonic-types,
 for use with cargo.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,25 @@
 # resolve DEB_DISTRIBUTION
 include /usr/share/dpkg/pkg-info.mk
 
-# resolve DEB_HOST_RUST_TYPE
+# resolve DEB_HOST_RUST_TYPE CARGO_HOME
+# ...and transitively DEB_HOST_GNU_TYPE
 include /usr/share/rustc/architecture.mk
 
 # resolve if release is experimental
 DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))
+
+# resolve crate version
+# * get topmost version except prerelease suffix
+#   from Cargo.toml file in dir passed as argument
+# * source package version if matching upstream part modulo prerelease
+# * otherwise append source package version
+crate_version = \
+ $(shell perl -n \
+ -E '/version\W+\K\d+\.\d+\.\d+/ ' \
+ -E 'and say "$(DEB_VERSION_UPSTREAM)" =~ /^\Q$$&\E(?:~[a-z]+\d*)?$$/ \
+ ? "$(DEB_VERSION)" \
+ : "$$&+$(DEB_VERSION_UPSTREAM_REVISION)" and exit' \
+ $1/Cargo.toml)
 
 # enable custom execution of cargo wrapper
 export DEB_HOST_GNU_TYPE DEB_HOST_RUST_TYPE CARGO_HOME
@@ -18,7 +32,9 @@
 endif
 
 TEST_BROKEN += \
- codec::prost::tests::encode_too_big
+ codec::prost::tests::encode_too_big \
+ max_message_send_size \
+ skip_debug
 
 %:
 	dh $@
@@ -31,3 +47,9 @@
 	$(if $(DEB_SUITE_EXP),\
 	 dh_auto_test --buildsystem rust -- --no-fail-fast -- --include-ignored || true,\
 	 dh_auto_test --buildsystem rust -- --no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN)))
+
+# declare version for virtually provided embedded crate
+override_dh_gencontrol:
+	dh_gencontrol -plibrust-tonic-dev -- \
+	 -V'rust:Version:librust-tonic-types-dev=$(call crate_version,tonic-types)'
+	dh_gencontrol --remaining-packages

=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
 --all-targets --all-features
 --
 --skip codec::prost::tests::encode_too_big
Features:
 test-name=rust-tonic:@,
Depends:
 dh-rust,
 librust-paste-1+default-dev,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.12-dev,
 librust-tower-0.4+full-dev,
 librust-tower-http-0.6+default-dev,
 librust-tower-http-0.6+map-request-body-dev,
 librust-tower-http-0.6+map-response-body-dev,
 librust-tower-http-0.6+set-header-dev,
 librust-tower-http-0.6+trace-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
 --all-targets --no-default-features
 --
 --skip codec::prost::tests::encode_too_big
Features:
 test-name=rust-tonic:,
Depends:
 dh-rust,
 librust-paste-1+default-dev,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.12-dev,
 librust-tower-0.4+full-dev,
 librust-tower-http-0.6+default-dev,
 librust-tower-http-0.6+map-request-body-dev,
 librust-tower-http-0.6+map-response-body-dev,
 librust-tower-http-0.6+set-header-dev,
 librust-tower-http-0.6+trace-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
 --all-targets
 --
 --skip codec::prost::tests::encode_too_big
Features:
 test-name=rust-tonic:default,
Depends:
 dh-rust,
 librust-paste-1+default-dev,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.12+default-dev,
 librust-tower-0.4+full-dev,
 librust-tower-http-0.6+default-dev,
 librust-tower-http-0.6+map-request-body-dev,
 librust-tower-http-0.6+map-response-body-dev,
 librust-tower-http-0.6+set-header-dev,
 librust-tower-http-0.6+trace-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
 --all-targets --no-default-features --features channel
 --
 --skip codec::prost::tests::encode_too_big
Features:
 test-name=rust-tonic:channel,
Depends:
 dh-rust,
 librust-paste-1+default-dev,
 librust-quickcheck-1+default-dev,
 librust-quickcheck-macros-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-static-assertions-1+default-dev,
 librust-tonic-0.12+channel-dev,
 librust-tower-0.4+full-dev,
 librust-tower-http-0.6+default-dev,
 librust-tower-http-0.6+map-request-body-dev,
 librust-tower-http-0.6+map-response-body-dev,
 librust-tower-http-0.6+set-header-dev,
 librust-tower-http-0.6+trace-dev,
Restrictions:
 allow-stderr,
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
 --all-targets --no-default-features --features codegen
 --
 --skip codec::prost::tests::encode_too_big
Features:
 test-name=rust-tonic:codegen,
Depends:

## rust-tonic 0.14.2+dfsg

=== debian/changelog ===
rust-tonic (0.14.2+dfsg-1) UNRELEASED; urgency=medium

  [ upstream ]
  * new release

  [ Blair Noctis ]
  * drop 1001_tower-http 2001_prost 2001_protox, versions updated in
  Debian
  * add patch 2001_axum 2001_socket2 to user older branches in Debian
  * add patch 2001_tokio-rustls to adapt to removal of aws-lc-rs
  feature of tokio-rustls in Debian
  * add patch 2002_no_protobuf to disable dependency on protobuf crate
  * add patch 2005_matchit_route_catch-all to adapt to matchit syntax
  change
  * add patch 1003_test_features to enable dev-dependency features
  needed by tests

 -- Blair Noctis <ncts@debian.org>  Sat, 25 Oct 2025 18:30:51 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,8 @@
  librust-bytes-1+default-dev,
  librust-flate2-1+default-dev,
  librust-h2-0.4+default-dev,
+ librust-hickory-resolver-0.24+default-dev,
+ librust-hickory-server-0.24+default-dev,
  librust-http-1+default-dev,
  librust-http-body-1+default-dev,
  librust-http-body-util-0.1+default-dev,
@@ -31,9 +33,11 @@
  librust-pin-project-1+default-dev,
  librust-prettyplease-0.2+default-dev,
  librust-proc-macro2-1+default-dev,
- librust-prost-0.12+default-dev,
- librust-prost-build-0.12+default-dev,
- librust-prost-types-0.12+default-dev,
+ librust-prost-0.14+default-dev,
+ librust-prost-build-0.14+default-dev,
+ librust-prost-types-0.14+default-dev,
+ librust-protox-0.9+default-dev,
+ librust-protox-parse-0.9+default-dev,
  librust-quickcheck-1+default-dev,
  librust-quickcheck-macros-1+default-dev,
  librust-quote-1+default-dev,
@@ -75,6 +79,7 @@
  librust-tower-service-0.3+default-dev,
  librust-tracing-0.1+default-dev,
  librust-tracing-subscriber-0.3+default-dev,
+ librust-trybuild-1+default-dev,
  librust-zstd-0.13+default-dev,
  protobuf-compiler,
 Maintainer: Jonas Smedegaard <dr@jones.dk>
@@ -90,16 +95,15 @@
 Depends:
  librust-prettyplease-0.2+default-dev,
  librust-proc-macro2-1+default-dev,
- librust-prost-build-0.12+default-dev,
+ librust-prost-build-0.14+default-dev,
  librust-quote-1+default-dev,
  librust-syn-2+default-dev,
  ${misc:Depends},
 Provides:
- librust-tonic-build-0.12+default-dev (= ${binary:Version}),
- librust-tonic-build-0.12+prost-dev (= ${binary:Version}),
- librust-tonic-build-0.12+transport-dev (= ${binary:Version}),
- librust-tonic-build-0.12-dev (= ${binary:Version}),
- librust-tonic-build-0.12.3-dev (= ${binary:Version}),
+ librust-tonic-build-0.14+default-dev (= ${binary:Version}),
+ librust-tonic-build-0.14+transport-dev (= ${binary:Version}),
+ librust-tonic-build-0.14-dev (= ${binary:Version}),
+ librust-tonic-build-0.14.2-dev (= ${binary:Version}),
 Description: codegen module of tonic gRPC implementation - Rust source code
  tonic-build compiles proto files via prost
  and generates service stubs and proto definitiones for use with tonic.
@@ -138,8 +142,8 @@
  librust-hyper-util-0.1+tokio-dev,
  librust-percent-encoding-2+default-dev,
  librust-pin-project-1+default-dev,
- librust-prost-0.12+default-dev,
- librust-prost-types-0.12+default-dev,
+ librust-prost-0.14+default-dev,
+ librust-prost-types-0.14+default-dev,
  librust-rustls-native-certs-0.8+default-dev,
  librust-rustls-pemfile-2+default-dev,
  librust-socket2-0.5+all-dev,
@@ -168,23 +172,23 @@
  librust-zstd-0.13+default-dev,
  ${misc:Depends},
 Provides:
- librust-tonic-0.12+channel-dev (= ${binary:Version}),
- librust-tonic-0.12+codegen-dev (= ${binary:Version}),
- librust-tonic-0.12+default-dev (= ${binary:Version}),
- librust-tonic-0.12+gzip-dev (= ${binary:Version}),
- librust-tonic-0.12+prost-dev (= ${binary:Version}),
- librust-tonic-0.12+router-dev (= ${binary:Version}),
- librust-tonic-0.12+server-dev (= ${binary:Version}),
- librust-tonic-0.12+tls-dev (= ${binary:Version}),
- librust-tonic-0.12+tls-native-roots-dev (= ${binary:Version}),
- librust-tonic-0.12+tls-roots-dev (= ${binary:Version}),
- librust-tonic-0.12+transport-dev (= ${binary:Version}),
- librust-tonic-0.12+zstd-dev (= ${binary:Version}),
- librust-tonic-0.12-dev (= ${binary:Version}),
- librust-tonic-0.12.3-dev (= ${binary:Version}),
- librust-tonic-types-0.12+default-dev (= ${rust:Version:librust-tonic-types-dev}),
- librust-tonic-types-0.12-dev (= ${rust:Version:librust-tonic-types-dev}),
- librust-tonic-types-0.12.3-dev (= ${rust:Version:librust-tonic-types-dev}),
+ librust-tonic-0.14+channel-dev (= ${binary:Version}),
+ librust-tonic-0.14+codegen-dev (= ${binary:Version}),
+ librust-tonic-0.14+default-dev (= ${binary:Version}),
+ librust-tonic-0.14+deflate-dev (= ${binary:Version}),
+ librust-tonic-0.14+gzip-dev (= ${binary:Version}),
+ librust-tonic-0.14+router-dev (= ${binary:Version}),
+ librust-tonic-0.14+server-dev (= ${binary:Version}),
+ librust-tonic-0.14+tls-dev (= ${binary:Version}),
+ librust-tonic-0.14+tls-native-roots-dev (= ${binary:Version}),
+ librust-tonic-0.14+tls-roots-dev (= ${binary:Version}),
+ librust-tonic-0.14+transport-dev (= ${binary:Version}),
+ librust-tonic-0.14+zstd-dev (= ${binary:Version}),
+ librust-tonic-0.14-dev (= ${binary:Version}),
+ librust-tonic-0.14.2-dev (= ${binary:Version}),
+ librust-tonic-types-0.14+default-dev (= ${rust:Version:librust-tonic-types-dev}),
+ librust-tonic-types-0.14-dev (= ${rust:Version:librust-tonic-types-dev}),
+ librust-tonic-types-0.14.2-dev (= ${rust:Version:librust-tonic-types-dev}),
  librust-tonic-types-dev (= ${rust:Version:librust-tonic-types-dev}),
 Description: gRPC over HTTP/2 - Rust source code
  tonic is a gRPC over HTTP/2 implementation

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # check single-feature tests only on amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.14.2
  --all-targets --all-features
  --
  --skip codec::prost::tests::encode_too_big
@@ -13,7 +13,7 @@
  librust-quickcheck-macros-1+default-dev,
  librust-rand-0.8+default-dev,
  librust-static-assertions-1+default-dev,
- librust-tonic-0.12-dev,
+ librust-tonic-0.14-dev,
  librust-tower-0.4+full-dev,
  librust-tower-http-0.6+default-dev,
  librust-tower-http-0.6+map-request-body-dev,
@@ -23,7 +23,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.14.2
  --all-targets --no-default-features
  --
  --skip codec::prost::tests::encode_too_big
@@ -36,7 +36,7 @@
  librust-quickcheck-macros-1+default-dev,
  librust-rand-0.8+default-dev,
  librust-static-assertions-1+default-dev,
- librust-tonic-0.12-dev,
+ librust-tonic-0.14-dev,
  librust-tower-0.4+full-dev,
  librust-tower-http-0.6+default-dev,
  librust-tower-http-0.6+map-request-body-dev,
@@ -46,7 +46,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.14.2
  --all-targets
  --
  --skip codec::prost::tests::encode_too_big
@@ -59,7 +59,7 @@
  librust-quickcheck-macros-1+default-dev,
  librust-rand-0.8+default-dev,
  librust-static-assertions-1+default-dev,
- librust-tonic-0.12+default-dev,
+ librust-tonic-0.14+default-dev,
  librust-tower-0.4+full-dev,
  librust-tower-http-0.6+default-dev,
  librust-tower-http-0.6+map-request-body-dev,
@@ -69,7 +69,7 @@
 Restrictions:
  allow-stderr,
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.14.2
  --all-targets --no-default-features --features channel
  --
  --skip codec::prost::tests::encode_too_big
@@ -82,7 +82,7 @@
  librust-quickcheck-macros-1+default-dev,
  librust-rand-0.8+default-dev,
  librust-static-assertions-1+default-dev,
- librust-tonic-0.12+channel-dev,
+ librust-tonic-0.14+channel-dev,
  librust-tower-0.4+full-dev,
  librust-tower-http-0.6+default-dev,
  librust-tower-http-0.6+map-request-body-dev,
@@ -93,7 +93,7 @@
  allow-stderr,
 Architecture: amd64
 
-Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.12.3
+Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tonic 0.14.2
  --all-targets --no-default-features --features codegen
  --
  --skip codec::prost::tests::encode_too_big
